Bug 473478 - Resume after suspend has logged off the GUI console user
Resume after suspend has logged off the GUI console user
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 13:46 EST by Philip Sherman
Modified: 2009-12-18 02:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:00:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg listing from boot through resume (48.25 KB, text/plain)
2008-11-28 13:46 EST, Philip Sherman
no flags Details

  None (edit)
Description Philip Sherman 2008-11-28 13:46:46 EST
Created attachment 325033 [details]
dmesg listing from boot through resume

Description of problem: Suspend using Fn-F4, power icon or echo 'mem' to /sys/power/state causes forced logoff of console GUI user. After resume, user must log on.


Version-Release number of selected component (if applicable):
gnome-power-manager-2.24.1-3.fc10.i386

How reproducible:
Occurs every time suspend is attempted

Steps to Reproduce:
1. Suspend the system
2. Resume the system (close then open lid or press Fn button)
3.
  
Actual results:
GUI login screen is displayed

Expected results:
Locked screen password request to unlock screen

Additional info:
Comment 1 James Davidson 2009-01-29 00:55:18 EST
I have the same issue with gnome-power-manager-2.24.2-2.fc10.i386

Smolt UUID: pub_b2674da4-c702-4dbc-a172-e24d3a97d004
Comment 2 Richard Hughes 2009-04-15 11:58:35 EDT
Right, sounds like that X is crashing. Does this still happen with the version in fedora rawhide, or the version of the Fedora 11 beta live cd?
Comment 3 Jan Christiaan van Winkel 2009-08-06 06:04:56 EDT
For me the problem looks solved after updating to kernel version 2.6.29.6-213.fc11.x86_64.
Comment 4 Bug Zapper 2009-11-18 04:02:32 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:00:39 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.